Subject: Re: [PATCH v6 0/6] [GSoC] bitmap: integrate a lookup table extension to the bitmap format

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Aug 2022 14:21:14 -0700

"Abhradeep Chakraborty via GitGitGadget" <[email-masked]>
writes:

> When parsing the .bitmap file, git loads all the bitmaps one by one even if
> some of the bitmaps are not necessary. We can remove this overhead by
> loading only the necessary bitmaps. A look up table extension can solve this
> issue.
>
> Changes since v5:
>
> As the failure in the test case is not due to this code, I think it makes no
> sense to delay the patch further.
>
>  * The performance test changes were not accurate as the second
>    test_bitmap_cases call using the repo built for the previous call. This
>    version fixes that.
>  * Taylor suggested some minor changes. Those are addressed in this version.

The discussion on v5 was quite active, but we haven't seen any
traffic on this round.  Is everybody happy with what we see here?